package com.fzm.mall.server.front.goods.service;

import com.alibaba.fastjson.JSON;
import com.fzm.mall.server.front.goods.model.Sku;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.SkuVo;
import com.fzm.mall.server.front.order.model.vo.OrderVo;
import com.fzm.mall.server.front.order.model.vo.ShopInfoVo;

import java.util.List;

/**
 * <p>
 * 商品规格表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-09
 */
public interface ISkuService extends IService<Sku> {
    SkuVo querySkuByCoin(String coin);

    List<SkuVo> getByGoodsId(String goodsId);

    String getGoodsIdByskuId(String skuId);

    SkuVo getBySkuId(String skuId);

    ShopInfoVo getShopInfoVo(String skuId);

    String getExpressName(String returnExpressName);

    String getSidBySkuId(String skuId);

    Boolean checkOrder(OrderVo orderVo);

    Long getTrueCoin(String coin);

    Long getTokenId(String skuId);

    String getSerialNo(String tokenId);

    void updateSerialNo(String toJSONString,String commodityPassId);
}
